Get Matching Markets for Sports
GET /matching-markets/sports
Note: Exactly one ofpolymarket_market_slugorkalshi_event_tickermust be provided. They cannot be combined in the same request. Multiple values for either parameter are supported.
markets object keyed by the input identifier (slug or ticker). Each key maps to an array of platform-specific market objects. Kalshi objects include platform, event_ticker, and market_tickers. Polymarket objects include platform, market_slug, and token_ids.Your AIsa API key as a Bearer token.
The Polymarket market slug(s) to find matching markets for. To get multiple markets at once, provide the query param multiple times with different slugs. Can not be combined with kalshi_event_ticker.
[
"nfl-ari-den-2025-08-16",
"nfl-dal-phi-2025-09-04"
]The Kalshi event ticker(s) to find matching markets for. To get multiple markets at once, provide the query param multiple times with different tickers. Can not be combined with polymarket_market_slug.
[
"KXNFLGAME-25AUG16ARIDEN",
"KXNFLGAME-25SEP04DALPHI"
]Matching markets response
{
"nfl-ari-den-2025-08-16": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25AUG16ARIDEN",
"market_tickers": [
"KXNFLGAME-25AUG16ARIDEN-ARI",
"KXNFLGAME-25AUG16ARIDEN-DEN"
]
},
{
"platform": "POLYMARKET",
"market_slug": "nfl-ari-den-2025-08-16",
"token_ids": [
"34541522652444763571858406546623861155130750437169507355470933750634189084033",
"104612081187206848956763018128517335758189185749897027211060738913329108425255"
]
}
],
"nfl-dal-phi-2025-09-04": [
{
"platform": "KALSHI",
"event_ticker": "KXNFLGAME-25SEP04DALPHI",
"market_tickers": [
"KXNFLGAME-25SEP04DALPHI-DAL",
"KXNFLGAME-25SEP04DALPHI-PHI"
]
}
]
}